> This page is for API Reference.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://fiftytwo-demo.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://fiftytwo-demo.ferndocs.com/_mcp/server.

# Get processing status for master data.

GET https://api.fiftytwo.com/masterdata/basedata/v1/id/{id}

All POST methods that return 202 Accepted provide a location header that contains a URL that references this endpoint.
Note that master data packages that have the status description COMPLETE will be deleted after some time.

Reference: https://fiftytwo-demo.ferndocs.com/api/master-data/reference/base-data/get-status

## Request

### Path parameters

- `id` (long, required) — The ID of a master data package as returned by POST methods.

## Response

### 200

Success

- `id` (long, optional)
- `chain` (integer, optional, nullable)
- `store` (integer, optional, nullable)
- `contentType` (string, optional, nullable)
- `bodyData` (string, optional, nullable)
- `statusCode` (enum, optional)
  - Allowed values: `0`, `1`, `9`
- `statusDescription` (string, optional, nullable)
- `errorMessage` (string, optional, nullable)

## Errors

### 404 Not Found Error

Not Found

- `string`

## Examples

**Response**

```json
{
  "id": 1,
  "chain": 1,
  "store": 1,
  "contentType": "string",
  "bodyData": "string",
  "statusCode": 0,
  "statusDescription": "string",
  "errorMessage": "string"
}
```

**SDK Code**

```python
import requests

url = "https://api.fiftytwo.com/masterdata/basedata/v1/id/1"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://api.fiftytwo.com/masterdata/basedata/v1/id/1';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.fiftytwo.com/masterdata/basedata/v1/id/1"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.fiftytwo.com/masterdata/basedata/v1/id/1")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.fiftytwo.com/masterdata/basedata/v1/id/1")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.fiftytwo.com/masterdata/basedata/v1/id/1');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.fiftytwo.com/masterdata/basedata/v1/id/1");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api.fiftytwo.com/masterdata/basedata/v1/id/1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```